gerris(1)

NAME
gerris2D, gerris3D - the Gerris flow solver simulation engine.

SYNOPSIS
gerris [OPTION]FILE

DESCRIPTION
This manual page documents briefly the gerris command.

OPTIONS
These programs follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-s N, --split=N
    Splits the domain N times and returns the corresponding simulation.

-i, --pid
    Keep box pids when splitting. The default is to allocate one pid per box.

-P N, --partition=N
    Partition the domain in 2^N subdomains and returns the corresponding simulation.

-d, --data
    When splitting or partitioning, output all data.

-P, --profile
    Profiles calls to boundary conditions.

-m, --macros
    Turn macros support on.

-DNAME, -DNAME=VALUE, --define=NAME, --define=NAME=VALUE
    Defines NAME as a macro expanding to VALUE (macro support is implicitly turned on).

-eEV, --event=EV
    Evaluates the GfsEvent EV and returns the simulation.

-V, --version
    Output version information and exit.

-h, --help
    Display the help and exit.

AUTHOR
gerris was written by Stephane Popinet <s.popinet@niwa.co.nz>.

This manual page was written by Ruben Molina <rmolina@udea.edu.co>, for the Debian project (but may be used by others).